﻿.index-special-box{
    width: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    background-color: #fbe6ec;
    padding: 60px 0;
}
.index-special-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}


.index-special-info-box{
    margin-top: 60px;
}
.index-special-info{
    width: 360px;
    display: inline-block;
    vertical-align: top;
    margin-right: 60px;
}
.index-special-info:nth-child(3n){
    margin-right: 0;
}
.index-special-info:nth-child(n + 4){
    margin-top: 60px;
}
.index-special-info-img-box{
    width: 100%;
    height: 300px;
    display: block;
    overflow: hidden;
    background-color: #fff;
    opacity: .8;
}
/* .index-special-info-img-box span{
    mix-blend-mode: luminosity;
} */
.index-special-info-text-box{
    margin-top: 10px;
}
.index-special-info-title{
    font-size: 16px;
    line-height: 30px;
    display: block;
    font-family: "Noto Serif TC";
    font-weight: 500;
    color: #000;
    letter-spacing: 0.001em;
    transition: all .3s linear;
}
.index-special-info-price{
    font-size: 16px;
    line-height: 30px;
    display: block;
    color: #000;
    letter-spacing: 0.001em;
    transition: all .3s linear;
    margin:20px 0;
}
.index-special-info-price-special{
    display: inline-block;
    width:49%;
    max-width:100%;
}
.index-special-info-price-block{
    width:100%;
    text-align: right;
}
.index-special-info-price-special:nth-child(2){
    text-align: right;
}
.index-special-info-price-special span {
    font-size: 18px;
    font-family: "Roboto";
    color: #af1a44;
    letter-spacing: 0.1em;
    display: inline-block;
    vertical-align: top;
    line-height: 1;
}
.index-special-info-price-special p {
    font-size: 25px;
    font-family: "Roboto";
    color: #af1a44;
    letter-spacing: 0.1em;
    display: inline-block;
    vertical-align: top;
    line-height: 40px;
}
.index-special-info-price-old span,
.index-special-info-price-old p{
    color: #666;
}
.index-special-info-price-old p{
    text-decoration: line-through;
}
.index-special-info-text{
    font-size: 14px;
    letter-spacing: 0.001em;
    color: #555;
    line-height: 30px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    transition: all .3s linear;
}
/* 購物車 */
.products-pages-info-menu-box {
    width: 100%;
    display: block;
    text-align: left;
    margin-top: 20px;
}
.products-pages-info-quantity-box {
    width: 180px;
    display: inline-block;
    vertical-align: middle;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    border-radius: 5px;
    overflow: hidden;
    position: relative;
    text-align: center;
}
.products-pages-info-quantity-name {
    width: 60px;
    display: inline-block;
    vertical-align: middle;
    line-height: 40px;
    font-size: 14px;
    font-family: "Noto Sans TC";
    font-weight: 300;
    letter-spacing: 0.1em;
    color: #666;
    background-color: #fafafa;
    box-sizing: border-box;
    border-right: 1px solid #d1d1d1;
}
.products-pages-info-quantity {
    width: calc(100% - 60px);
    height: 40px;
    display: inline-block;
    vertical-align: middle;
    border: none;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    text-align: center;
    text-align-last: center;
    font-size: 14px;
    font-family: "Noto Sans TC";
    letter-spacing: 0.1em;
    color: #666;
    cursor: pointer;
}
.products-pages-info-quantity::-webkit-textfield-decoration-container{
    height: 100%;
    line-height: 40px;
}
.products-pages-info-quantity::-webkit-inner-spin-button {
    opacity: 1;
    pointer-events: auto;
    flex: 0 0 30px;
    border-left: 1px solid #d1d1d1;
    box-sizing: border-box;
}
.products-pages-info-add {
    width: calc( 100% - 200px);
    display: inline-block;
    vertical-align: middle;
    background-color: #af1a44;
    text-align: center;
    color: #fff;
    box-sizing: border-box;
    border-radius: 5px;
    font-size: 14px;
    font-family: "Noto Sans TC";
    font-weight: 300;
    letter-spacing: 0.1em;
    line-height: 40px;
    margin-left: 20px;
    cursor: pointer;
    border: none;
    transition: all .3s linear;
}
.products-pages-info-add:hover{
    background-color: #c14d6d;
}
/* 購物車 */
.index-special-info:hover .index-special-info-img-box span{
    transform: scale(1.1);
}
.index-special-info:hover .index-special-info-title,
.index-special-info:hover .index-special-info-text{
    color: #af1a44;
}

@media only screen and (max-width: 1200px){
    .index-special-all-box{
        width: 1000px;
    }
    .index-special-info{
        width: 300px;
        margin-right: 50px;
    }
    .index-special-info-img-box{
        height: calc((300 / 360) * 300px);
    }
}
@media only screen and (max-width: 1000px){
    .index-special-all-box{
        width: 750px;
    }
    .index-special-info:nth-child(n){
        width: 350px;
        margin-right: 50px;
    }
    .index-special-info:nth-child(2n){
        margin-right: 0;
    }
    .index-special-info:nth-child(n + 3){
        margin-top: 50px;
    }
    .index-special-info-img-box{
        height: calc((300 / 360) * 350px);
    }
}
@media only screen and (max-width: 750px){
    .index-special-box{
        padding: 40px 0;
    }
    .index-special-all-box{
        width: 550px;
    }
    .index-special-info-box{
        margin-top: 40px;
    }
    .index-special-info:nth-child(n){
        width: 260px;
        margin-right: 30px;
    }
    .index-special-info:nth-child(2n){
        margin-right: 0;
    }
    .index-special-info:nth-child(n + 3){
        margin-top: 30px;
    }
    .index-special-info-img-box{
        height: calc((300 / 360) * 260px);
    }
}
@media only screen and (max-width: 550px){
    .index-special-box{
        padding: 20px 0;
    }
    .index-special-all-box{
        width: 300px;
    }
    .index-special-info-box{
        margin-top: 20px;
    }
    .index-special-info:nth-child(n){
        width: 100%;
        margin-right: 0;
    }
    .index-special-info:nth-child(n + 2){
        margin-top: 20px;
    }
    .index-special-info-img-box{
        height: calc((300 / 360) * 300px);
    }
    .index-special-info-text-box{
        margin-top: 5px;
    }
    .index-special-info-title{
        font-size: 14px;
        line-height: 24px;
    }
    .index-special-info-text{
        font-size: 12px;
        line-height: 2;
    }
}



/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
	.index-special-info{
        opacity: 0;
    }
    .index-special-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}

